# Ogre::GLXPBuffer Class Reference

`#include <OgreGLXRenderTexture.h>`

Inheritance diagram for Ogre::GLXPBuffer:

List of all members.

## Public Member Functions

| GLXPBuffer (PixelComponentType format, size_t width, size_t height)
| ~GLXPBuffer ()
virtual GLContext * | getContext ()
| Get the GL context that needs to be active to render to this PBuffer.
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Types

enum | RTFType { RTF_NONE = 0, RTF_NV = 1, RTF_ATI = 2, RTF_ARB = 3 }
| Find out which extension to use for floating point Possible floating point extensions, in order of preference (ARB is best). More...

## Protected Member Functions

void | createPBuffer ()
RTFType | detectRTFType ()

## Protected Attributes

::Display * | _pDpy
::GLXContext | _hGLContext
::GLXPbuffer | _hPBuffer
Ogre::GLXContext * | mContext
PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Member Enumeration Documentation

enum Ogre::GLXPBuffer::RTFType `[protected]`

Find out which extension to use for floating point Possible floating point extensions, in order of preference (ARB is best).

Enumeration values:

  RTF_NONE |
  RTF_NV |
  RTF_ATI | GLX_NV_float_buffer.
  RTF_ARB | GLX_ATI_pixel_format_float.

Definition at line 55 of file OgreGLXRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLXPBuffer::GLXPBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |

Ogre::GLXPBuffer::~GLXPBuffer | ( |  | ) |

## Member Function Documentation

void Ogre::GLXPBuffer::createPBuffer | ( |  | ) | `[protected]`

RTFType Ogre::GLXPBuffer::detectRTFType | ( |  | ) | `[protected]`

virtual GLContext* Ogre::GLXPBuffer::getContext | ( |  | ) | `[virtual]`

| Get the GL context that needs to be active to render to this PBuffer. Implements Ogre::GLPBuffer.

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) | `[inherited]`

| Definition at line 45 of file OgreGLPBuffer.h. References Ogre::GLPBuffer::mFormat.

size_t Ogre::GLPBuffer::getHeight | ( | void |  | ) | `[inherited]`

| Definition at line 47 of file OgreGLPBuffer.h. References Ogre::GLPBuffer::mHeight.

static PixelComponentType Ogre::GLPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static, inherited]`

| Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLPBuffer::getWidth | ( | void |  | ) | `[inherited]`

| Definition at line 46 of file OgreGLPBuffer.h. References Ogre::GLPBuffer::mWidth.

## Member Data Documentation

::GLXContext Ogre::GLXPBuffer::_hGLContext `[protected]`

| Definition at line 49 of file OgreGLXRenderTexture.h.

::GLXPbuffer Ogre::GLXPBuffer::_hPBuffer `[protected]`

| Definition at line 50 of file OgreGLXRenderTexture.h.

::Display* Ogre::GLXPBuffer::_pDpy `[protected]`

| Definition at line 48 of file OgreGLXRenderTexture.h.

Ogre::GLXContext* Ogre::GLXPBuffer::mContext `[protected]`

| Definition at line 51 of file OgreGLXRenderTexture.h.

PixelComponentType Ogre::GLPBuffer::mFormat `[protected, inherited]`

| Definition at line 53 of file OgreGLPBuffer.h. Referenced by Ogre::GLPBuffer::getFormat().

size_t Ogre::GLPBuffer::mHeight `[protected, inherited]`

| Definition at line 54 of file OgreGLPBuffer.h. Referenced by Ogre::GLPBuffer::getHeight().

size_t Ogre::GLPBuffer::mWidth `[protected, inherited]`

| Definition at line 54 of file OgreGLPBuffer.h. Referenced by Ogre::GLPBuffer::getWidth().

The documentation for this class was generated from the following file:

- OgreGLXRenderTexture.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:48:05 2006